Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:    	A program to copy Digital Video data from a DV camcorder	
Name:      	dvgrab
Version:   	3.2
Release:   	1
Provides:  	dvgrab
License : 	GPL
Url:		http://www.kinodv.org
Group:     	Video 
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libavc1394-devel
BuildRequires:  glibc-devel
BuildRequires:  libiec61883-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libstdc++-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
dvgrab receives audio and video data from a digital camcorder via an IEEE 1394 (widely known as FireWire) link and stores them into an AVI file. It features autosplit of long video sequences into several files, and supports saving the data as raw frames, AVI type 1, AVI type 2, and image files.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

# install desktop integration file
#mkdir -p $RPM_BUILD_ROOT/usr/share/applications
#mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
#cp install.win32/dvdstyler.desktop $RPM_BUILD_ROOT/usr/share/applications
#cp src/rc/dvdstyler.png	$RPM_BUILD_ROOT/usr/share/pixmaps

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_bindir
%_mandir


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2-1
- version update
* Mon Jun 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1-1
- Initial Release
